# osgUtil::DisplayRequirementsVisitor Class Reference

A visitor for traversing a scene graph establishing which OpenGL visuals are required to support rendering of that scene graph. More...

Inheritance diagram for osgUtil::DisplayRequirementsVisitor:

[legend]
List of all members.

## Public Member Functions

| DisplayRequirementsVisitor ()
| Default to traversing all children, and requiresDoubleBuffer, requiresRGB and requiresDepthBuffer to true and with alpha and stencil off.
void | setDisplaySettings (osg::DisplaySettings *ds)
| Set the DisplaySettings.
const osg::DisplaySettings * | getDisplaySettings () const
| Get the DisplaySettings.
virtual void | applyStateSet (osg::StateSet &stateset)
virtual void | apply (osg::Node &node)
virtual void | apply (osg::Geode &geode)
virtual void | apply (osg::Impostor &impostor)

## Protected Attributes

osg::ref_ptr< osg::DisplaySettings > | _ds

## Detailed Description

A visitor for traversing a scene graph establishing which OpenGL visuals are required to support rendering of that scene graph.

The results can then be used by applications to set up their windows with the correct visuals. Have a look at src/osgGLUT/Viewer.cpp's Viewer::open() method for an example of how to use it.

## Constructor & Destructor Documentation

DisplayRequirementsVisitor::DisplayRequirementsVisitor | ( |  | ) |

| Default to traversing all children, and requiresDoubleBuffer, requiresRGB and requiresDepthBuffer to true and with alpha and stencil off.

## Member Function Documentation

void DisplayRequirementsVisitor::apply | ( | osg::Impostor & | impostor | ) | `[virtual]`

void DisplayRequirementsVisitor::apply | ( | osg::Geode & | geode | ) | `[virtual]`

void DisplayRequirementsVisitor::apply | ( | osg::Node & | node | ) | `[virtual]`

void DisplayRequirementsVisitor::applyStateSet | ( | osg::StateSet & | stateset | ) | `[virtual]`

const osg::DisplaySettings* osgUtil::DisplayRequirementsVisitor::getDisplaySettings | ( |  | ) | const`[inline]`

| Get the DisplaySettings.

void osgUtil::DisplayRequirementsVisitor::setDisplaySettings | ( | osg::DisplaySettings * | ds | ) | `[inline]`

| Set the DisplaySettings.

## Member Data Documentation

osg::ref_ptr<osg::DisplaySettings> osgUtil::DisplayRequirementsVisitor::_ds `[protected]`

The documentation for this class was generated from the following files:

- DisplayRequirementsVisitor
- DisplayRequirementsVisitor.cpp